Friday, 30 July 2010

pidgin-sipe-1.10.1

Pidgin-sipe is a bit of a PITA to compile on RHEL/CentOS. I read the README and attemted to yum the dependancies starting with a "yum groupinstall 'Development Tools'" Ensure the devel versions of everything are also included especially pidgin and then I hacked the configure script:

At line 11822 I ammended the current to read as:

pkg_cv_GLIB_CFLAGS=`$PKG_CONFIG --libs --cflags "glib-2.0" 2>/dev/null`

Ensure you have the right line first as line numbers might change with releases.

Compile and install! Ensure the plugins get stuffed in /usr/lib64/purple-2/ if your using a 64 bit install else pidgin won't find them.

1 comment:

spechal said...

Using your change, running configure, make and amke install; I had to go into the src/purple/.libs/ and copy the libsipe.so into the lib64/purple dir ... FYI for anyone else.